com.h3c.util.persistence.cassandra.entitymgr.wal

## Class WriteAheadLogReplayImp

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.wal.WriteAheadLogReplayImp

- All Implemented Interfaces:
    com.netflix.astyanax.WriteAheadLog

      public class WriteAheadLogReplayImp
      extends Object
      implements com.netflix.astyanax.WriteAheadLog

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteAheadLogReplayImp(String instanceId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.netflix.astyanax.WriteAheadEntry` | `createEntry()`
    `com.netflix.astyanax.WriteAheadEntry` | `readNextEntry()`
    `void` | `removeEntry(com.netflix.astyanax.WriteAheadEntry entry)`
    `void` | `retryEntry(com.netflix.astyanax.WriteAheadEntry entry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteAheadLogReplayImp

          public WriteAheadLogReplayImp(String instanceId)

  - ### Method Detail

    - #### createEntry

          public com.netflix.astyanax.WriteAheadEntry createEntry()
                                                           throws com.netflix.astyanax.connectionpool.exceptions.WalException

      Specified by:
        `createEntry` in interface `com.netflix.astyanax.WriteAheadLog`
      Throws:
        `com.netflix.astyanax.connectionpool.exceptions.WalException`

    - #### removeEntry

          public void removeEntry(com.netflix.astyanax.WriteAheadEntry entry)

      Specified by:
        `removeEntry` in interface `com.netflix.astyanax.WriteAheadLog`

    - #### readNextEntry

          public com.netflix.astyanax.WriteAheadEntry readNextEntry()

      Specified by:
        `readNextEntry` in interface `com.netflix.astyanax.WriteAheadLog`

    - #### retryEntry

          public void retryEntry(com.netflix.astyanax.WriteAheadEntry entry)

      Specified by:
        `retryEntry` in interface `com.netflix.astyanax.WriteAheadLog`

Copyright © 2014. All Rights Reserved.